org.eclipse.wst.jsdt.core.refactoring.descriptors

## Class ConvertAnonymousDescriptor

- java.lang.Object
- - RefactoringDescriptor
  - - org.eclipse.wst.jsdt.core.refactoring.descriptors.JavaScriptRefactoringDescriptor
    - - org.eclipse.wst.jsdt.core.refactoring.descriptors.ConvertAnonymousDescriptor

    public final class ConvertAnonymousDescriptor
    extends JavaScriptRefactoringDescriptor

Refactoring descriptor for the convert anonymous to nested refactoring.

An instance of this refactoring descriptor may be obtained by calling `org.eclipse.ltk.core.refactoring.RefactoringContribution#createDescriptor()` on a refactoring contribution requested by invoking `org.eclipse.ltk.core.refactoring.RefactoringCore#getRefactoringContribution(String)` with the appropriate refactoring id.

Note: this class is not intended to be instantiated by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

### Fields inherited from class org.eclipse.wst.jsdt.core.refactoring.descriptors.JavaScriptRefactoringDescriptor

`ATTRIBUTE_ELEMENT, ATTRIBUTE_INPUT, ATTRIBUTE_NAME, ATTRIBUTE_REFERENCES, ATTRIBUTE_SELECTION, ATTRIBUTE_VERSION, fArguments, JAR_MIGRATION, JAR_REFACTORING, JAR_SOURCE_ATTACHMENT, VALUE_VERSION_1_0`

### Constructor Summary

Constructors
Constructor and Description
`ConvertAnonymousDescriptor()` Creates a new refactoring descriptor.

### Method Summary

### Methods inherited from class org.eclipse.wst.jsdt.core.refactoring.descriptors.JavaScriptRefactoringDescriptor

`createRefactoring, elementToHandle, getArguments, handleToElement, handleToElement, handleToElement, handleToResource, populateArgumentMap, resourceToHandle, setComment, setDescription, setFlags, setProject, validateDescriptor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConvertAnonymousDescriptor

    public ConvertAnonymousDescriptor()

Creates a new refactoring descriptor.